PHPExcel_Calculation

# Class: PHPExcel_Calculation_Function

Source Location: /PHPExcel/Calculation/Function.php

### Class Overview

PHPExcel_Calculation_Function

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Constants

- CATEGORY_CUBE
- CATEGORY_DATABASE
- CATEGORY_DATE_AND_TIME
- CATEGORY_ENGINEERING
- CATEGORY_FINANCIAL
- CATEGORY_INFORMATION
- CATEGORY_LOGICAL
- CATEGORY_LOOKUP_AND_REFERENCE
- CATEGORY_MATH_AND_TRIG
- CATEGORY_STATISTICAL
- CATEGORY_TEXT_AND_DATA

### Methods

- __construct
- getCategory
- getExcelName
- getPHPExcelName
- setCategory
- setExcelName
- setPHPExcelName

### Class Details

[line 36]
PHPExcel_Calculation_Function

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### constructor __construct [line 79]

`PHPExcel_Calculation_Function __construct( [string $pCategory = NULL], [string $pExcelName = NULL], [string $pPHPExcelName = NULL])`

Create a new PHPExcel_Calculation_Function

#### Tags:

throws: | Exception
access: | public

#### Parameters:

string | $pCategory | Category (represented by CATEGORY_*)
string | $pExcelName | Excel function name
string | $pPHPExcelName | PHPExcel function mapping

[ Top ]

### method getCategory [line 96]

`string getCategory( )`

Get Category (represented by CATEGORY_*)

#### Tags:

access: | public

[ Top ]

### method getExcelName [line 119]

`string getExcelName( )`

Get Excel name

#### Tags:

access: | public

[ Top ]

### method getPHPExcelName [line 137]

`string getPHPExcelName( )`

Get PHPExcel name

#### Tags:

access: | public

[ Top ]

### method setCategory [line 106]

`void setCategory( [string $value = null])`

Set Category (represented by CATEGORY_*)

#### Tags:

throws: | Exception
access: | public

#### Parameters:

string | $value |

[ Top ]

### method setExcelName [line 128]

`void setExcelName( string $value)`

Set Excel name

#### Tags:

access: | public

#### Parameters:

string | $value |

[ Top ]

### method setPHPExcelName [line 146]

`void setPHPExcelName( string $value)`

Set PHPExcel name

#### Tags:

access: | public

#### Parameters:

string | $value |

[ Top ]

### Class Constants

#### CATEGORY_CUBE = 'Cube'

[line 38]

[ Top ]

#### CATEGORY_DATABASE = 'Database'

[line 39]

[ Top ]

#### CATEGORY_DATE_AND_TIME = 'Date and Time'

[line 40]

[ Top ]

#### CATEGORY_ENGINEERING = 'Engineering'

[line 41]

[ Top ]

#### CATEGORY_FINANCIAL = 'Financial'

[line 42]

[ Top ]

#### CATEGORY_INFORMATION = 'Information'

[line 43]

[ Top ]

#### CATEGORY_LOGICAL = 'Logical'

[line 44]

[ Top ]

#### CATEGORY_LOOKUP_AND_REFERENCE = 'Lookup and Reference'

[line 45]

[ Top ]

#### CATEGORY_MATH_AND_TRIG = 'Math and Trig'

[line 46]

[ Top ]

#### CATEGORY_STATISTICAL = 'Statistical'

[line 47]

[ Top ]

#### CATEGORY_TEXT_AND_DATA = 'Text and Data'

[line 48]

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:16:20 +0200 by phpDocumentor 1.4.4